Карточка обращения CRM
/api/v1/developer/crm/tickets/{ticketId}Возвращает разрешённые CRM-связи и lifecycle timestamps обращения без project, Conversation, переписки, оценки и staff identity.
Право доступаcrm.tickets.read
Authorization: Bearer YOUR_PROJECT_TOKEN
Параметры
ticketIdобязательно · pathstringminLength: 1 · maxLength: 160JSON Schema
{ "type": "string", "minLength": 1, "maxLength": 160 }
Примеры запроса
curl --request GET 'https://YOUR_NOVA_HOST/api/v1/developer/crm/tickets/TICKET_ID' --header 'Authorization: Bearer YOUR_PROJECT_TOKEN'
Ответы
200 Exact CRM ticket workflow detail
application/jsonobject
idобязательно- stringminLength: 1 · maxLength: 160
titleобязательно- stringminLength: 1 · maxLength: 200
categoryобязательно- string | nullminLength: 1 · maxLength: 80
priorityобязательно- stringenum: ["low","normal","high","urgent"]
statusобязательно- stringenum: ["open","pending","resolved","closed"]
firstResponseDueAtобязательно- stringformat: "date-time"
resolutionDueAtобязательно- stringformat: "date-time"
createdAtобязательно- stringformat: "date-time"
updatedAtобязательно- stringformat: "date-time"
contactIdобязательно- stringminLength: 1 · maxLength: 160
organizationIdобязательно- string | nullminLength: 1 · maxLength: 160
dealIdобязательно- string | nullminLength: 1 · maxLength: 160
firstRespondedAtобязательно- string | nullformat: "date-time"
resolvedAtобязательно- string | nullformat: "date-time"
closedAtобязательно- string | nullformat: "date-time"
JSON Schema
{
"type": "object",
"properties": {
"id": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"title": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"category": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 80
},
"priority": {
"type": "string",
"enum": [
"low",
"normal",
"high",
"urgent"
]
},
"status": {
"type": "string",
"enum": [
"open",
"pending",
"resolved",
"closed"
]
},
"firstResponseDueAt": {
"type": "string",
"format": "date-time"
},
"resolutionDueAt": {
"type": "string",
"format": "date-time"
},
"createdAt": {
"type": "string",
"format": "date-time"
},
"updatedAt": {
"type": "string",
"format": "date-time"
},
"contactId": {
"type": "string",
"minLength": 1,
"maxLength": 160
},
"organizationId": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 160
},
"dealId": {
"type": [
"string",
"null"
],
"minLength": 1,
"maxLength": 160
},
"firstRespondedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"resolvedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"closedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
}
},
"required": [
"id",
"title",
"category",
"priority",
"status",
"firstResponseDueAt",
"resolutionDueAt",
"createdAt",
"updatedAt",
"contactId",
"organizationId",
"dealId",
"firstRespondedAt",
"resolvedAt",
"closedAt"
],
"additionalProperties": false,
"$ref": "#/components/schemas/DeveloperCrmTicketDetailResponse"
}401 Invalid developer credential
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}403 CRM tickets entitlement or membership unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}404 CRM ticket not found
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}429 Developer API rate limit exceeded
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}503 Developer API rate limiter unavailable
application/problem+jsonobject
type- stringformat: "uri" · default: "about:blank"
titleобязательно- string
statusобязательно- integerminimum: 100 · maximum: 599
detail- string
instance- string
errors- object
JSON Schema
{
"type": "object",
"properties": {
"type": {
"type": "string",
"format": "uri",
"default": "about:blank"
},
"title": {
"type": "string"
},
"status": {
"type": "integer",
"minimum": 100,
"maximum": 599
},
"detail": {
"type": "string"
},
"instance": {
"type": "string"
},
"errors": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"title",
"status"
]
}